Bug 983094 - [RHEVM] [backend] Network interface name is already in use on new VM creation
[RHEVM] [backend] Network interface name is already in use on new VM creation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Linux
medium Severity medium
: ---
: 3.3.0
Assigned To: Lior Vernia
Martin Pavlik
network
:
Depends On:
Blocks: 1019461
  Show dependency treegraph
 
Reported: 2013-07-10 09:38 EDT by Martin Pavlik
Modified: 2016-02-10 14:55 EST (History)
10 users (show)

See Also:
Fixed In Version: is15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 1 (222.50 KB, image/png)
2013-07-10 09:38 EDT, Martin Pavlik
no flags Details
log_collector (4.30 MB, application/x-xz)
2013-07-10 09:39 EDT, Martin Pavlik
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18460 None None None Never

  None (edit)
Description Martin Pavlik 2013-07-10 09:38:13 EDT
Created attachment 771606 [details]
screenshot 1

Description of problem:
Error message 
"Network interface name is already in use"
appears on new VM creation

Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.3.0-0.7.master.el6ev 

How reproducible:
100%

Steps to Reproduce:
1. Create new VM (use predefined settings, change only name) (see screenshot)

Actual results:
Error message 
"Network interface name is already in use"
appears on new VM creation

Expected results:
VM created without error message

Additional info:

2013-07-10 15:28:18,013 INFO  [org.ovirt.engine.core.bll.AddVmFromScratchCommand] (ajp-/127.0.0.1:8702-9) Lock Acquired to object EngineLock [exclusiveLocks= key: 1 value: VM_NAME
, sharedLocks= ]
2013-07-10 15:28:18,080 INFO  [org.ovirt.engine.core.bll.AddVmFromScratchCommand] (ajp-/127.0.0.1:8702-9) Running command: AddVmFromScratchCommand internal: false. Entities affected :  ID: ed4fa607-b21a-4e6f-b33f-ec97ee461532 Type: VdsGroups
2013-07-10 15:28:18,209 INFO  [org.ovirt.engine.core.bll.AddVmFromScratchCommand] (ajp-/127.0.0.1:8702-9) Lock freed to object EngineLock [exclusiveLocks= key: 1 value: VM_NAME
, sharedLocks= ]
2013-07-10 15:28:18,251 WARN  [org.ovirt.engine.core.bll.network.vm.AddVmInterfaceCommand] (ajp-/127.0.0.1:8702-8) [26391c26] CanDoAction of action AddVmInterface failed. Reasons:VAR__TYPE__INTERFACE,VAR__ACTION__ADD,NETWORK_INTERFACE_NAME_ALREADY_IN_USE
Comment 1 Martin Pavlik 2013-07-10 09:39:17 EDT
Created attachment 771607 [details]
log_collector
Comment 2 Itamar Heim 2014-01-21 17:30:07 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:30:07 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:33:03 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.